# Skyhook Graphql SDK

[![Built with
typescript](https://badgen.net/badge/icon/typescript?icon=typescript&label)](https://www.typescriptlang.org/)
[![version](https://badgen.net/npm/v/skyhook-graphql-sdk)](https://www.npmjs.com/package/skyhook-graphql-sdk)
![downloads](https://badgen.net/npm/dt/skyhook-graphql-sdk)
![dependants](https://badgen.net/npm/dependents/skyhook-graphql-sdk) ![license](https://badgen.net/npm/license/skyhook-graphql-sdk)

## Summary

This module contains auto-generated:

- Graphql types, inputs and ENUMs (exported as API)
- DynamoDb types (exported as DynamoDB)
- Introspection JSON (exported as IntrospectionJSON) - useful for running [eslint-plugin-graphql](https://www.npmjs.com/package/eslint-plugin-graphql) on queries.

## Use with Eslint

The following config is needed for use with [eslint-plugin-graphql](https://www.npmjs.com/package/eslint-plugin-graphql):

```javascript
const { IntrospectionJSON } = require('skyhook-graphql-sdk');

module.exports = {
  //...
  rules: {
    //...
    'graphql/template-strings': [
      'error',
      {
        schemaJson: IntrospectionJSON,
        // Other eslint-plugin-graphql settings, e.g:
        env: 'literal',
        tagName: 'gql',
      },
    ],
  },
};
```

## This Module is Auto-Generated

This is an auto-generated SDK for the Skyhook graphql api. A new build is triggered every time the Skyhook API service
is updated, such that it is always up to date. The CD is managed by the API service.

## Built by Skyhook

This module is contributed by the team at [Skyhook](https://www.skyhookadventure.com/).
